@import (once) "grid";

@import (once) "modules/map";
@import (once) "modules/ruinmap";
@import (once) "modules/log";
@import (once) "modules/town";
@import (once) "modules/beyond";
@import (once) "modules/constructions";
@import (once) "modules/forum";
@import (once) "modules/ghost";
@import (once) "modules/soul";
@import (once) "modules/rp";
@import (once) "modules/admin";

@import (css) url('https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,400;0,700;1,400;1,700&display=swap');
@import (css) url('https://fonts.googleapis.com/css?family=Courier+Prime&display=swap');
@import (css) url('https://fonts.googleapis.com/css?family=Comic+Neue&display=swap');
@import (css) url('https://fonts.googleapis.com/css?family=Lora&display=swap');
@font-face {
  font-family: 'visitor2';
  src: url('../fonts/visitor2.ttf')  format('truetype');
  font-weight:normal;
  font-style:normal;
}

@font-face {
  font-family: 'OCR A Extended';
  src: url('../fonts/ocr_a_ext.ttf')  format('truetype');
  font-weight:normal;
  font-style:normal;
}

@myhordes-fixed-font: "Courier Prime", fixed;
@myhordes-sans-serif-font: "Comic Neue", sans-serif;
@myhordes-serif-font: "Lora", serif;
@myhordes-gazette-font: "Courier New", "Courier", monospace;

@myhordes-font: "Nunito", "Century Gothic", "Arial", "Trebuchet MS", Verdana, 'Open Sans',sans-serif;

@myhordes-background: url(../img/background/bg_colored.jpg) fixed top no-repeat, #100C0B;
@myhordes-background-online: url(../img/background/bg_gray.jpg) fixed top no-repeat, #100C0B;

@myhordes-content-width: 950px;
@myhordes-content-background: url(../img/background/bg_content.jpg) left repeat-y;
@myhordes-left-padding: 19px;

@myhordes-content-header-background: url(../img/background/bg_content_header.jpg) left no-repeat;
@myhordes-content-header-height: 305px;
@myhordes-content-header-margin: -95px;

@myhordes-content-footer-background: url(../img/background/bg_content_footer.gif) left no-repeat;
@myhordes-content-footer-height: 15px;
@myhordes-content-footer-margin: 15px;

@myhordes-panel-color: white;
@myhordes-panel-bg: #7e4d2a;
@myhordes-panel-border: url("../img/background/box/panel_00.gif") top left no-repeat, url("../img/background/box/panel_02.gif") top right no-repeat,
                        url("../img/background/box/panel_20.gif") bottom left no-repeat, url("../img/background/box/panel_22.gif") bottom right no-repeat,
                        url("../img/background/box/panel_01.gif") top left repeat-x, url("../img/background/box/panel_10.gif") top left repeat-y,
                        url("../img/background/box/panel_12.gif") top right repeat-y, url("../img/background/box/panel_21.gif") bottom left repeat-x;

@myhordes-cell-header-background-color: #3e2417;
@myhordes-cell-header-text-color: #f0d79e;

@myhordes-button-background: url('../img/background/bg_button.gif');
@myhordes-button-static-background: #a5381b;
@myhordes-button-color: #F0D79E;
@myhordes-button-border: black;

@myhordes-input-background: url('../img/background/bg_input.jpg') bottom center repeat;
@myhordes-input-text-background: url('../img/background/form_textarea.gif') bottom center repeat;
@myhordes-input-color: #3B3249;
@myhordes-input-border: #EFDBA8;

@myhordes-smalltext: #ddab76;

@myhordes-help-color: #524053;

html { font-size: 10px; }

body {
  font-family: @myhordes-font; font-size: 1.6rem; margin: 0;
}

.offline_body {
  background: @myhordes-background;
}

.online_body {
  background: @myhordes-background-online;
}

div.debug_info {
  margin: 2px 10px; padding: 3px; background: #750000; border: 1px solid #ff0000; outline: 1px solid black;
  box-shadow: 0 0 3px black; color: white; font-size: 1.1rem;
  &>div:first-child {
    display: inline-block;
    &>b { font-variant: small-caps; }
  }
  &>div:last-child { font-size: .9rem; float: right; display: inline-block }
  & a { color: white !important; }
  &:after { content: " "; clear: both; display: block; }
}

x-message {
  display: none;
}

#notifications {
  position: fixed; top: 0; height: 100%; width: 480px; left: 50%; margin-left: -240px; z-index: 1000; pointer-events: none;
  &>* {pointer-events: all}
  &>div {
    transition: top 0.5s ease, opacity 0.5s ease; top: -50px; opacity: 0;
    &:before { content: " "; position: absolute; top: 5px; bottom: 5px; left: 3px; width: 4px; }
    position: relative; margin: 5px 0; box-shadow: 0 0 4px black; cursor: pointer; text-align: justify;
    padding: 5px 5px 5px 12px; background: #5c2b20; border: 1px solid #b37c4a; outline: 1px solid black; color: @myhordes-smalltext;
    &.show { top: 0; opacity: 1 }
    &.notice:before { background: #5eb5e0 }
    &.warning:before { background: #e09a4f }
    &.error:before { background: #a90017 }
    &>span {
      &>img { margin-right: 3px; }
      background: rgba(0,0,0,0.15); border: 1px solid rgba(0,0,0,0.15); padding: 0 5px; border-radius: 6px;
      font-variant: small-caps; color: white; display: inline-block;
    }
  }

}

#loadzone {
  position: fixed; left: 0; top: 0; width: 100%; height: 100%; z-index: 99998;
  background: linear-gradient(0deg, rgba(0,0,0,0.4) 0%, rgba(0,0,0,0.6) 70%, rgba(0,0,0,1) 100%);
  &>div { text-align: center; margin-top: 110px; color: wheat; position: absolute; width: 100% }
  &>div:nth-child(1) { transform: scale(0.5); }
  &>div:nth-child(2) {  opacity: 0.2; color: black; filter: blur(4px); transform: scale(1.5); }
  &>div:nth-child(3) { opacity: 0.5; }
  transition: opacity 0.2s ease-in-out; opacity: 1;
  &[x-stack="0"] { opacity: 0; pointer-events: none; }
}

#modal-backdrop {
  opacity: 0;
  pointer-events: none;
  position: fixed; left: 0; top: 0; width: 100vw; height: 100vh; z-index: 99999;
  background: linear-gradient(0deg, rgba(107, 32, 17,0.2) 0%, rgba(107, 32, 17,0.4) 70%, rgba(0,0,0,0.7) 100%);
  display: flex; align-items: center; justify-content: center; transition: opacity 0.2s ease-in-out;
  &.active {
    opacity: 1; pointer-events: initial;
  }
  &>div#modal {
    color: wheat; min-width: 200px; width: auto; max-width: 500px; background-color: #5c2b20;
    border: 1px solid #b37c4a; outline: 2px solid black; position: relative;

    div#modal-title {
      height: 3rem; line-height: 3rem; background-color: rgba(0,0,0,.25); font-weight: bold; font-size: 1.8rem;
      padding: 0 4rem 0 1rem;
      &:empty {display: none}
    }

    div#modal-content {
      min-height: 5rem; padding: 1rem;

      .modal-form {
        label.error { color: #c00; }

        input {
          margin-bottom: 1rem;
          &.error { outline: 2px solid #c00; }
        }
      }
    }

    div#modal-actions {
      text-align: left; padding: 3px;
    }

    &.popup-ghoul {

      background: #79393a;
      &>div#modal-content {
        padding: 0; font-size: 0.8em;
        &>.inner-notification-header  {
          background: #3d3149; padding: 5px;
          &>img { margin: 0 10px 10px 0; border: 2px solid black; }
        }
        &>.inner-notification-content { color: white; padding: 10px; }
        & p { margin: 14px 0;  text-align: justify }
        & ul.bluelist {
          background: #3d3149;
          &>li { list-style: url(../img/icons/small_dot.gif); padding: 2px 10px 2px 2px; text-align: justify; }
        }
      }

    }
  }
}

#wrapper {
  position: relative; margin: 0 auto; padding: 0; width: @myhordes-content-width; overflow: visible;
  background: @myhordes-content-background; box-shadow: 0 0 20px black;

  &>#header {
    &>#header-reload-area { position: absolute; left: 0; top: 0; height: 135px; width: 375px; cursor: pointer; }
    background: @myhordes-content-header-background; height: @myhordes-content-header-height;
    margin: 0 0 @myhordes-content-header-margin;

    & #modeCommand {
      position: absolute;
      top: 10px;
      margin-left: 50px;
      font-size: 8pt;
      line-height: 10pt;
      width: 110px;
      height: 14px;
      background-color: #5c2b20;
      outline: 1px solid black;
      border: 1px solid #f0d79e;
      z-index: 10;

      & h1 {
        margin: 0px;
        padding: 0px;
        height: 12px;
        border: 1px solid #ddab76;
        padding-left: 5px;
        font-size: 7pt;
        line-height: 8pt;
        text-transform: uppercase;
        letter-spacing: 0pt;
        background: none;
        background-color: #5c2b20;
        color: #f0d79e;
        cursor: pointer;
      }
      
      & #scrollMenu {
        display: none;
      }

      &:hover #scrollMenu {
        display: block; 
        position: relative;
        width: 110px;
        top:-7px;
        background-color: #3b3249;

        & ul {
          margin: 0;
          padding: 0;
          float: left;
          position: relative;
          top:8px;
          margin-bottom: 8px;
          width: 110px;
          list-style: none;
          background-color: #3b3249;

          & li.mod-actions {
            margin: 0 0 .5em;
            padding: 0;
            font-size: 1.3rem;
            color: #ddab76;
            cursor: pointer;

            img {
              vertical-align: middle;
              margin-right: 1em;
            }
            span {
              font-weight: normal;
            }
          }


        }
      }
      
    }

    & #apps {
      position: absolute;
      top: 10px;
      left: 10px;
      padding-left: 5px;
      padding-right: 5px;
      background-color: #5c2b20;
      outline: 1px solid black;
      border: 1px solid #f0d79e;
      z-index: 100;

      &:hover {
        width: 430px;
      }

      & h1 {
        margin: 0;
        padding: 0;
        height: auto;
        font-size: 1.2rem;
        text-transform: none;
        font-variant: small-caps;
        background: none;
        cursor: help;
        color: #f0d79e;
        text-align: left;
        line-height: 17px;
        font-family: "Trebuchet MS", "Arial",Verdana, sans-serif;
        letter-spacing: 1px;

        img {
          vertical-align: -9%;
        }
      }

      & h1 span,
      & #apps-list {
        display: none;
      }

      &:hover h1 {
        border-bottom: 1px solid #b37c4a;
        margin-bottom: 5px;

        img {
          margin-right: 1em;
        }

        span {
          display: inline;
        }
      }

      &:hover #apps-list {
        display: block;

        & p {
          color: white;
          font-size: 1.3rem;
        }

        & ul {
          margin: 0;
          padding: 0;
          float: left;
          position: relative;
          margin-bottom: 8px;
          list-style: none;

          & li.app-external {
            margin: 0 0 .5em;
            padding: 0;
            font-size: 1.3rem;
            color: #ddab76;
            cursor: pointer;

            img {
              vertical-align: middle;
              margin-right: 1em;
            }
            span {
              font-weight: normal;
            }
          }
        }
      }
    }
  }

  &>#content {
    margin: 0 5px 0 @myhordes-left-padding;
    &>.row>.cell,&>noscript>.row>.cell {

      &.header>h4:first-child {
        &+*::before { content: " "; display: block; height: 24px; }
        position: absolute; left: 0; top: 0; right: 0; background: @myhordes-cell-header-background-color; margin: 0;
        color: @myhordes-cell-header-text-color; padding: 5px;
        box-shadow: 0 0 3px black, inset 0 0 3px lighten(@myhordes-cell-header-background-color, 20%);
        font-variant: small-caps;
      }

      &.padded       { padding: 12px + @myhordes-grid-padsize; }
      &.padded-small { padding: 12px + @myhordes-grid-padsize-small; }
      &.padded-none, &:not(.padded):not(.padded-small)  { padding: 12px; }

      background: @myhordes-panel-border, @myhordes-panel-bg; color: @myhordes-panel-color;
    }

    &>.row.external-app>.cell {
      margin-top: 40px;
      color: #f0d79e;
      border: 1px solid #773939;
      outline: 3px solid #5c2b20;
      background: none;
      background-color: #5c2b20;

      & span.critical {
        text-transform: uppercase;
        color: #f86;
        font-weight: bold;
      }

      & h4.title {
        padding-top: 5px;
        padding-bottom: 5px;
        margin-top: 10px;
        font-weight: bold;
        text-align: center;
        color: #afacc1;
        background-color: #3b3249;
        font-variant: small-caps;
        box-shadow: none;

        img {
          vertical-align: -15%;
          margin-right: 1em;
        }
      }

      & button {
        font-variant: small-caps;
        font-weight: normal;
      }
    }
  }

  &::after {
    content: " "; display: block; position: relative;
    bottom: -@myhordes-content-footer-height;
    background: @myhordes-content-footer-background; height: @myhordes-content-footer-height;
  }
}

.warning {
  color: #f86;
  font-weight: bold;
}

img {
  vertical-align: middle;
}

footer {
  color: #fae3ce;
  position: relative;
  margin: 24px auto;
  padding: 0;
  width: @myhordes-content-width;
  overflow: visible;
  font-size: 1.1rem;
  .cell-small {
    background: rgba(0,0,0,0.33);
    margin-bottom: 5px;
    strong {
      &:first-child { background: rgba(0,0,0,0.5); }
      display: block;
      padding: 5px 0;
      text-align: center;
      font-size: 1.2rem;
      font-variant: small-caps;
    }
    .content {
      padding: 5px;
    }
  }
}

.box(@color: @myhordes-cell-header-background-color) {
  background: @color; border: 1px solid @myhordes-input-border;
}

div.town-header {
  &:before {
    position: absolute;
    left: -10px;
    right: -13px;
    top: -10px;
    height: 150px;
    content: " ";
  }
  position: relative; margin-bottom: 125px;
  &>b { position: absolute; left: 260px; top: 15px; width: 308px; color: #572b23; text-align: center; font-size: 2.4rem; }
  &>span { position: absolute; left: 260px; top: 107px; width: 308px; color: white; text-align: center; font-size: 1.8rem; font-weight: bold }
}

div.town-header {
  &:before {
    background: url("../img/background/town/sign_header.jpg") center/cover no-repeat;
  }
  &.hardcore {
    &:before {
      background: url("../img/background/town/sign_header_hardcore.jpg") center/cover no-repeat;
    }
  }
}


div.note {
  .box(); padding: 5px; font-size: 1.2rem; margin: 5px 0;
  &.note-warning {
    .box( #820000 ); color: white; position: relative; padding: 5px 5px 5px 26px;
    &:before { content: " "; position: absolute; display: block; top: 5px; left: 5px; width: 16px; height: 16px; background: url('../img/icons/small_warning.gif') no-repeat; }
  }
  &.note-light {
    background-color: #5c2b20;
  }
  &.note-lightest {
    color: #f0d79e;
    background-color: #996739;
    border: none;
    padding: 3px 3px 3px 3px;
    margin: 0;
  }
}

div.small-note {
  padding: 5px; font-size: 1rem; margin: 5px 0; color: @myhordes-smalltext; text-align: justify;
  &:first-letter { font-size: 1.2rem; font-weight: bold; }
}

div.help {
  &:before { content: " "; position: absolute; display: block; top: 5px; left: 5px; width: 16px; height: 16px; background: url('../img/icons/small_help.gif') no-repeat; }
  .box(@myhordes-help-color); padding: 5px 5px 5px 26px; font-size: 1.2rem; margin: 5px 0; text-align: justify; position: relative;
  &>p:first-child { margin-top: 0 }
  &>p:last-child { margin-bottom: 0 }
  strong { color: #e2d890; }
}

@myhordes-box-color: #966437;
@myhordes-span-color: @myhordes-smalltext;

div.lightbox {
  background: #966437; border: 1px solid @myhordes-smalltext; margin: 10px 0; padding: 5px;
  span.highlight { color: @myhordes-span-color; &:first-letter { font-size: 1.4rem; font-weight: bold; } }
}

button, *.button, *.modal-button {
  min-height: 25px; background: @myhordes-button-background center/cover no-repeat; color: @myhordes-button-color; font-weight: bold;
  border: 1px solid @myhordes-button-border; border-bottom-width: 2px; outline: 1px solid rgba(0,0,0,0);
  transition: outline-color 0.5s; box-shadow: 0 0 2px black; padding: 0 8px 0;
  text-align: left; cursor: pointer;
  font-variant: small-caps;

  &:hover,&:focus { outline-color: @myhordes-button-color; color: lighten(@myhordes-button-color, 50%); }
  &:active { border-bottom-width: 1px; border-top-width: 2px; }
  &.inline { padding: 0 24px 0; }
  &:not(.inline) { display: block; width: 100%; }

  &.small {
    font-size: 1rem; padding: 2px 6px; display: inline-block; min-height: 0;
  }

  &:not(.small) {
    &+& { margin-top: 5px; }
    >img {
      &:not(.right) { float: left; &+img:not(.right) { margin-left: 2px; } }
      &.right { float: right; &+img.right { margin-right: 2px; } }
    }
  }
}

input[type='text'],input[type='password'],input[type='email'],textarea {
  transition: outline-color 0.5s; outline: 1px solid rgba(0,0,0,0);
  &:not(textarea) { background: @myhordes-input-background; }
  &:not(input)    { background: @myhordes-input-text-background; resize: vertical; max-width: 100%; min-height: 250px; }
  border: 1px solid @myhordes-input-border; height: 25px;
  &:not(.inline) { display: block; width: 100%; }
  &:focus { outline-color: @myhordes-input-border; }
  &:invalid,&.invalid { box-shadow: 0 0 4px red; }
  &[disabled] { color: black; }
}

a { color: @myhordes-smalltext; font-weight: bold; }

ul.inventory {
  border: 1px solid @myhordes-input-border; padding: 6px; font-size: 1.1rem; font-variant: small-caps;
  &>li {
    &:not(.category) { display: inline-block; border: 1px solid @myhordes-input-border;}
    &.category { font-size: 1rem; font-weight: bold; }
    list-style: none;  margin: 2px;
    vertical-align: text-bottom;
    &.title:first-child {
      &:empty {display: none}
      background: #965C36;
      padding: 2px 6px;
      margin-right: 2px;
    }
    &.item { border-color: rgba(0,0,0,0); }
    &.item:not(.locked) { cursor: pointer; }
    &.item.broken { border: 1px dotted #ff0000; }
    &.item.banished_hidden { opacity: 0.25; }
    &.free, &.item { height: 18px; }
    &.free, &.item:not(.counted) { width: 18px; }
    &.item.counted{
      font-size: 0;
      &>span { font-size: .9rem; position: relative; }
    }
    &.blur {
      opacity: .25;
    }
    &.focus {
      box-shadow: 0 0 4px 2px #EFDBA8;
      border-radius: 4px;

    }
  }
  &.rucksack { background: url("../img/background/inventory/inv_bag.gif") no-repeat top left;}
  &.rucksack-escort { background: rgba(0,0,0,0.1); border: 1px solid @myhordes-cell-header-background-color; margin: 0; }
  &.desert, &.desert-escort { background: url("../img/background/inventory/inv_ground.gif") repeat top left;}
  &.desert-escort { border: 1px solid @myhordes-cell-header-background-color; }
  &.chest { background: url("../img/background/inventory/inv_home.gif") repeat center;}
  &.bank { background: url("../img/background/inventory/inv_bank.gif") repeat center; min-height: 100px;}
}

ul.actions, ul.special_actions, ul.heroic_actions {
  padding: 5px 2px; .box();
  &>li {
    list-style: none; padding: 2px 2px 2px 10px; font-size: 1.2rem; font-variant: small-caps;
    color: @myhordes-smalltext; position: relative;
    &:not(.open) {
      cursor: pointer;
      &:hover { color: white; background: lighten(@myhordes-cell-header-background-color, 10%) }
    }
    &>div.targets {
      position: absolute; display: none; left: 0; right: 0; top: 100%; z-index: 1500; background: @myhordes-smalltext;
      color: black; border: 1px solid black; box-shadow: 0 0 4px black;
      margin: 0; padding: 5px;
      &>ul {
        margin: 0; padding: 0; font-size: 0;
        &>li {
          &>div { font-size: 1.2rem; }
          list-style: none; padding: 2px; margin: 2px; display: inline-block; cursor: pointer; border: 1px solid transparent;
          &:hover { background: saturate( @myhordes-smalltext, 30% ); border-color: darken(@myhordes-smalltext, 20%) }
        }
      }
      & *[x-close-for] { text-align: right; text-decoration: underline; cursor: pointer; }
    }
    &>img:first-child { position: absolute; left: 4px; top: 3px; }
    &>span {
      vertical-align: top; display: block; padding-left: 16px;
      &>img {
        vertical-align: sub;
        &.unavailable { filter: sepia(100%) opacity(40%) }
      }
    }
    &[disabled]>span { text-decoration: line-through; }
    &+li { border-top: 1px solid fade(@myhordes-smalltext,20%) }
  }
}

ul.heroic_actions { background-color: #3b3249; border: 1px solid #afacc1; }

ul.camping_actions {
  padding: 5px 2px;
  &>li {
    list-style: none; padding: 2px 2px 2px 10px; font-size: 1.2rem; position: relative;
    &:not(.open) {
      cursor: pointer;
      &:hover { text-decoration: underline; }
    }
    &>img:first-child { position: absolute; left: 4px; top: 3px; }
    &>span {
      vertical-align: top; display: block; padding-left: 16px;
      &>img {
        vertical-align: sub;
        &.unavailable { filter: sepia(100%) opacity(40%) }
      }
    }
    &+li { border-top: 1px solid fade(@myhordes-smalltext,20%) }
  }
}

div.well {
  width: 100%; padding-top: 118.699187%; background: url("../img/background/town/well_bg.gif") no-repeat center/cover;
  position: relative;
  &>.water {
    &::after { position: absolute; content: " "; background: url('../img/background/town/well_line.gif') no-repeat center; height: 4px; top: -4px; width: 100%; }
    overflow: visible;
    position: absolute; bottom: 0; left: 0; width: 100%; height: 100%;
    background: url('../img/background/town/well_water.gif') no-repeat bottom center/cover;
  }
  &>.mask {
    position: absolute; bottom: 0; left: 0; width: 100%; height: 100%;
    background: url('../img/background/town/well_mask.gif') no-repeat center/cover;
  }
  &>.overlay {
    position: absolute; top: 50%; width: 100%; text-align: center; font-weight: bold; font-size: 1.1rem;
    padding: 0 8px;
  }
}

div.game-menu-area {
  position: absolute; width: @myhordes-content-width; padding: 5px 0; overflow: visible;
  top: @myhordes-content-header-height + @myhordes-content-header-margin - 80px; left: 0;

  &>div.game-dropdown {
    &.hidden { pointer-events: none; opacity: 0; }
    position: relative; z-index: 10; width: 100%; top: 0; display: block; background: @myhordes-panel-bg;
    box-shadow: 0 0 5px black; transition: height 0.4s ease, opacity 0.4s ease; overflow: hidden;
    &>ul.text-menu {
      padding: 10px; margin: 0;
      &>li {
        &.burger-button { display: none; }
        padding: 5px; font-size: 1.6rem; font-weight: bold; font-variant: small-caps; list-style: none;
        cursor: pointer;
        &:hover { background: lighten(@myhordes-panel-bg, 10%) }
      }
    }
  }

  &>div.game-bar {
   width: 100%; height: 32px; background: url("../img/background/bg_menu.jpg");
    box-shadow: 0 0 5px black; position: relative; z-index: 20;
    border-top: 1px solid black; border-bottom: 1px solid black;

    &>div.header-stats {
        position: absolute;
        top: -130px;
        right: 15px;
        &>ul {
          list-style: none;
          font-variant: small-caps;
          font-weight: bolder;
          color: #fdcb70;
          text-shadow: 0px 1px 1px black, 0px -1px 1px black, 1px 0px 1px black, -1px 0px 1px black, 1px 1px 1px black, -1px -1px 1px black, -1px 1px 1px black, 1px -1px 1px black;
          text-align: right;
          font-size: 1.3rem;
          font-style: italic;
          &>li {
            span {
              font-size: 1.8rem;
            }
            &.end-stat {
              color: white;
            }
          }
        }
      }

    &>div.ulcont {
      display: inline-block; padding: 0; margin: 0; float: right;
    }

    &>ul,&>div.ulcont {
      display: inline-block; padding: 0; margin: 0 3px;
      & li {display: inline-block; list-style: none;}
      &.text-menu {
        &>li {
          padding: 2px 8px; background: rgba(0,0,0,0.3); font-weight: bold; color: @myhordes-smalltext;
          box-shadow: inset 0 0 4px rgba(0,0,0,0.6); border-radius: 4px; border: 1px solid rgba(0,0,0,0.3);
          cursor: pointer;
          &:hover {color: white}
          &.burger-button { margin-top: 2px; }
          &.forum,&.town-dash,&.town-news,&.soul,&.help {
            filter: brightness(100%); -webkit-filter: brightness(100%); -moz-filter: brightness(100%); -o-filter: brightness(100%); -ms-filter: brightness(100%);
            width: 84px; margin-top: 7px; text-transform:uppercase; font-size: 1.0rem;
            font-weight: bold; color: #FFFFCA; text-align: center;
            &:hover {
            filter: brightness(140%); -webkit-filter: brightness(140%); -moz-filter: brightness(140%); -o-filter: brightness(140%); -ms-filter: brightness(140%);
            color: #FFFFCA; position: relative
            }
            &:after {
              filter: drop-shadow(0 0 2px black);
              content: " "; display: block; position: absolute; left: 0; right: 0; height: 45px;
              top: -40px; background-position: bottom center; background-repeat: no-repeat;
            }
          }
          &.back-dash {
			background: #00000000; color: #f0d79e; box-shadow: inset 0 0 4px #00000000; border: 1px solid #00000000;
    		position: absolute; top: 35px; left: 0px; width: 117px; height: 37px;
    		padding-top: 9.5px; padding-left: 26px;
    		font-size: 1.0rem; font-weight: normal; font-variant: small-caps;
    		background-image: url("../img/game-bar/back_button.png");
          	&:hover { background-image: url("../img/game-bar/back_button_hover.png"); padding-top: 10.5px; }
          }
          &.forum:after     { background-image: url("../img/game-bar/forum.png"); top: -42px; }
          &.town-dash:after { background-image: url("../img/game-bar/play.png");}
          &.town-news:after { background-image: url("../img/game-bar/gazette.png");}
          &.soul:after      { background-image: url("../img/game-bar/soul.png");}
          &.help:after      { background-image: url("../img/game-bar/help.png");}
        }
      }

      &.user {
        position: absolute;
        right: 10px;
        top: -30px;
        font-size: 10px;
        background-color: rgba(62, 36, 23, .75);
        border-radius: 6px;
        color: @myhordes-smalltext;

        li {
          margin: 3px 6px;

          a {
            text-decoration: none;
            transition: color 200ms;

            &:hover {
              color: #c00;
            }
          }
        }
      }

      &.clock {
        position: absolute; background: url("../img/background/clock.png"); width: 280px; height: 97px;
        top: -130px; right: 0px;
        &>li { display: block; position: absolute; }
        &>li:nth-child(1) { font-size: 1rem; color: @myhordes-smalltext; text-align: right; height: 12px; top: 9px; left: 0; right: 75px; font-variant: small-caps }
        &>li:nth-child(2) {
          font-size: 1rem;
          color: #704018;
          font-weight: bold;
          text-align: right;
          height: 12px;
          top: 25px;
          left: 0;
          right: 85px;
        }
        &>li:nth-child(3) { font-size: 1rem; text-align: center; top: 32px; left: 215px; right: 25px; cursor: help; }
        &>li:nth-child(4) { color: #5e0000; font-size: 1rem; text-align: center; font-weight: bold; top: 58px; left: 215px; right: 25px; cursor: help; }
        .hardcore {
          color: lighten(#7c2727, 10%);
          font-variant: small-caps;
        }
        &>li:nth-child(5) { top: -5px; right: -3px; }
      }

      &.ulcont {
        margin-top: 5px; background-color: #483927; padding: 1px 3px;  border: 1px solid #be9766; float: right; font-size: 0.7em;
        ul {
          margin: 0; padding: 0;

          li {
            b.red { color: #ff5f5f
            }
            list-style: none; color: @myhordes-smalltext; padding: 0;
            &:before { line-height: 0; vertical-align: top; margin-right: 4px; }
          }
        }
      }

      &.status, &.rucksack {
        position: relative; padding: 3px 8px; font-weight: bold;
        color: @myhordes-smalltext; box-shadow: inset 0 0 4px rgba(0,0,0,0.9); border-radius: 4px; background: rgba(0,0,0,.5);
        float: right; font-size: .2rem;
        &>.text {
          display: block; position: absolute; top: -1px; left: 7px; right: 0; margin-top: 0;
          color: white; font-size: .8rem; font-variant: small-caps; text-shadow: 1px 1px 2px black;
        }
        &:not(.ap):not(.bp):not(.pm) {
          &:not(.civil) { min-width: 64px; background: url("../img/game-bar/panel_tl.png") 0 0 no-repeat,url("../img/game-bar/panel_tr.png") 100% 0 no-repeat,url("../img/game-bar/panel_bl.png") 0 100% no-repeat,url("../img/game-bar/panel_br.png") 100% 100% no-repeat,url("../img/game-bar/panel_t.png") 0 0 repeat-x,url("../img/game-bar/panel_l.png") 0 0 repeat-y,url("../img/game-bar/panel_r.png") 100% 0 repeat-y,url("../img/game-bar/panel_b.png") 0 100% repeat-x,url("../img/game-bar/background_sq.png"); };
          &>li:not(.text) {
            height: 18px; margin-top: 6px; vertical-align: bottom;
            &.free,&.item {border: 1px solid @myhordes-smalltext; width: 18px;}
            &.item { border-color: transparent; }
            &.item.broken { border: 1px dotted #ff0000; }
            & + li { margin-right: 1px; }
          }
        }

        &.rucksack {
        	width: 195px; height: 30px;
        	overflow: hidden;
        	.more {
        		width: 18px;
        		position: absolute;
        		top: 7px;
        		right: 0px;
        	}
        	&:hover {
        		overflow: visible; height: 56px;
        		.more {
        			display: none;
        		}
        	}

        }

        /*&.rucksack:before*/
        &.ap,&.bp,&.pm {
          font-size: 1.6rem;
          &>li { margin-top: 3px; }
        }
        &.ap:before { content: "" }
        &.bp:before { content: "" }
        &.pm:before { content: "" }
        &.civil:before { content: " " }
      }
    }
  }
}

.icon_div(@url,@align,@left) {
  display: inline-block;
  &:after {
    content: " "; display: inline-block; height: 16px; width: 16px; background: url(@url);
    vertical-align: @align; margin-left: @left;
  }
}

div.ap      { .icon_div("../img/icons/ap_small.gif", middle, 0); }
div.bp      { .icon_div("../img/icons/bp_small.gif", middle, 0); }
div.pm      { .icon_div("../img/icons/pm_small.gif", middle, 0); }
div.ox      { .icon_div("../img/icons/oxygen_small.gif", middle, 0); }
div.defense { .icon_div("../img/icons/small_def.gif", middle, 2px);font-weight: bold; }
div.defense-broken { .icon_div("../img/icons/small_def_broken.gif", middle, 2px); color:#f18766;font-weight: bold; }

.jobs-choice {
  border: 1px solid #7e4d2a; width: 100%; opacity: .6;
  input[type='radio'] {
    display: none;
  }
  &:hover { border:1px dotted #ddab76; cursor: pointer; }
  &>.text {
    color: #b37c4a; font-weight: bold; font-variant: small-caps;
  }
  &.selected {
    border:1px solid #f0d79e;
    color: white;
    opacity: 1.0;
    &>.text {
      color: white;
    }
  }
}

.tabs {
  font-size: 1.2rem; color: #ddab76; border-bottom: 1px solid #ddab76;
  margin-bottom: 20px; padding: 0 5px; position: relative; top: -2px; margin-left: -2px;
  &:not(.plain) {
    background: url(../img/background/box/panel_00.png) -6px -7px no-repeat, url(../img/background/box/panel_02.png) right -4px top -7px no-repeat, url(../img/background/tabs-header.jpg) left / cover;
    &::after { position: absolute; content: " "; top: 0; left: 27px; right: 28px; height: 3px; background: url(../img/background/box/panel_01.png) 0 -6px repeat-x; }
  }
  &.plain { background: url(../img/background/tabs-header-plain.gif) bottom left no-repeat; }

  min-height: 34px;

  &>.tab-floater {
    &.tab { padding-top: 0 !important; }
    min-height: 32px;
    &::before, &::after {content: " "; clear: both;}
    &::before { display: table;}
    &::after {display: block; height: 0;}
  }

  h4.soul-name { margin: 2px 4px; display: inline-block; }

  .tab {
    &.inline { display: inline; }
    &:not(.left) { float: right; }
    &:not(.tab-floater) { padding-top: 9px };
    overflow: hidden;

    .tab-link {
      float: right; height: 21px; margin-right: 0px; margin-left: 2px;
      margin-top: 3px; white-space: nowrap; background-image: url(../img/background/tab.gif);
      background-position: top left; background-repeat: no-repeat;
      border-left: 1px solid #694023; border-right: 1px solid #694023;
      cursor: pointer;

      font-family: Arial, sans-serif; font-size: 1rem; font-variant: small-caps;
      color: #f0d79e; padding: 2px 4px 0; text-decoration: underline;
    }

    &:not(.tab-floater):hover .tab-link { outline: 1px solid #f0d79e; text-decoration: underline; }
    &.selected {
      position: relative; top: 2px;
      .tab-link {
        text-decoration: none;
        color: white; background-image: url(../img/background/tab_active.gif);
      }
    }
  }
  &.plain .tab { float: left; }
}

span.icon {
  &>img { margin-right: 3px; }
  background: rgba(0,0,0,0.15); border: 1px solid rgba(0,0,0,0.15); padding: 0 5px; border-radius: 6px;
  font-variant: small-caps; color: white; font-size: 1.2rem;
}

ul.summary {
  &, & ul {list-style: none; margin: 0; padding: 5px;};
  & ul>li { padding-left: 16px; }
  background: @myhordes-cell-header-background-color; border: 1px solid @myhordes-smalltext;
  li {
    clear: both;
    &>span { float: right };
    &>ul { border-top: 1px solid @myhordes-smalltext; margin-top: 5px; }
  }
}

div.death_header {
  background: url("../img/background/deathHeader.gif") no-repeat center bottom/contain;
  min-height: 55px; margin-top: 24px; text-align: center;
  &>div:first-child {
    color: @myhordes-smalltext; font-variant: small-caps; font-size: 1.6rem; margin-bottom: 6px;
    &::first-letter { color: lighten(@myhordes-smalltext,10%); }
  }
  &>div:last-child {
    color: lighten(@myhordes-smalltext,10%); font-variant: small-caps; font-size: 1.8rem; font-weight: bold;
    &::first-letter { color: lighten(@myhordes-smalltext,20%); }
  }
}
div.death_footer {
  text-align: center; font-weight: bold; color: #afacc1;
}
div.death_list {
  padding-left: 6px;
  &>b { color: @myhordes-smalltext }
  &>ul {
    list-style-type: none;
    padding-left: 0;
    font-size: 1.2rem;
    font-weight: bold;
    color: lighten(@myhordes-smalltext,10%);
    &>li {
      line-height: 32px;
      &>span.count {
        color: white;
      }
      &>div:not(.tooltip) {
        width: 32px;
        height: 32px;
        display: inline-block;
        text-align: center;
        vertical-align: middle;
        &>img {
          margin-top: -3px;
        }
      }
      &.rare div {
        background: url("../img/pictos/rewardBg_rare.gif") no-repeat;
      }
    }
    &>li:hover {
      div {
        background-color: #5c2b20;
        outline: 1px solid #f0d79e;
      }
    }
  }
}

div.rebirth {
  background: #996739;
  border: 1px solid #b37c4a;
  div.rebirth_label {
    font-size: 1.1rem;
    background: #b37c4a;
    font-variant: small-caps;
    color: #f0d79e;
    padding: 5px;
  }
  input {
    padding-left: 5px;
    padding-right: 5px;
  }
  div.rebirth_btn {
    margin-top: 10px;
  }
  margin-bottom: 10px;
}

a.help-button {
    background-image: url("../img/help/helpTooltip.gif"); background-repeat: no-repeat; 
    color: #E7D1B2; border: 1px solid #5e3d17; text-transform: uppercase; font-size: 0.85rem;
    padding-left: 3px; padding-right: 3px; cursor: help; height: 100%; width: 100%;
    &:hover { outline: 1px solid white; }
}

div.tooltip {
  display: none;
  pointer-events: none;
  font-size: 1rem;
  width: 250px;
  padding: 4px;
  position: fixed;
  z-index: 2000;
  color: black;
  margin: 20px;
  box-shadow: 0 0 5px black;
  background: @myhordes-smalltext;
  border: 2px solid darken(@myhordes-smalltext, 20%);
  text-align: justify;
  outline: 1px solid darken(@myhordes-smalltext, 50%);
  font-weight: normal;
  font-variant: normal;
  &>h1:first-child {
    font-size: 1.2rem; font-weight: bold; margin: 4px; padding: 0; text-align: center;
    border-bottom: 1px solid darken(@myhordes-smalltext, 20%); font-variant: small-caps;
  }

  &.help {
    background-color: #5c2b20;
    border: 1px solid #ecb98a;
    color: white;
    padding-left: 30px;
    padding-right: 10px;
    width: 250px;
    &>h1:first-child {
      border: none;
      text-align: left;
      margin: 0;
    }
    strong {
      color: #edcda9;
    }
  }

  &.normal {
    background: #746652;
    border: 1px solid #ab9d89;
    border-right-color: black;
    border-left-color: black;
    outline: 1px solid #5c2b20;
    color: #dfdad2;
    &>h1:first-child {
      color: white;
      text-align: right;
      border-bottom-color: white;
    }
  }

  &.forum-tooltip {
    background: #5c2b20;
    border: 1px solid #f0d79e;
    outline: 1px solid #5c2b20;
    color: white;
  }
}

ul.citizen-list li {
  list-style: none; color: @myhordes-smalltext;
}

span.language {
  text-transform: uppercase;
  font-size: 1.2rem;
  line-height: 20px;
  width: 20px;
  background-color: saddlebrown;
  display: inline-block;
  text-align: center;
  height: 20px;
  color: sandybrown;
}

div.block {
  width: 80%;
  margin: 10px auto;
  background-color: #5c2b20;
  border: 1px solid #e1bd9b;
  outline: 2px solid #43281a;

  strong {
    color: #afacc1;
    text-transform: uppercase;
    text-align: center;
    font-size: 1.2rem;
  }
}

div.item-tag {
  font-size: 1.1rem; text-align: center; padding: 2px; background: #022142; border: 1px solid #011d37;
  position: relative; color: @myhordes-smalltext; height: 18px; margin-top: 3px;
  &:after {position: absolute; display: block; content: " "; height: 16px; width: 16px; top: 0; left: 1px; }
  &.item-tag-deco:after { background: url("../img/item/cat_deco.gif") center/contain no-repeat }
  &.item-tag-defense:after { background: url("../img/item/cat_def.gif") center/contain no-repeat }
  &.item-tag-essential { padding-left: 14px; }
  &.item-tag-essential:after { background: url("../img/item/cat_job.gif") center/contain no-repeat }
  &.item-tag-weapon:after { background: url("../img/item/cat_weapon.gif") center/contain no-repeat }
  &.item-tag-heavy:after { background: url("../img/item/cat_heavy.gif") center/contain no-repeat }
}

div.badge {
  background: #7d5032; border: 1px solid #dfc793; padding: 10px; margin: 20px 0;
  & strong { font-size: 1.2em; font-weight: bold; color: white; }
  & span { color: @myhordes-smalltext; }
}

div.tooltip-dummy {
  height: 0; position: relative; overflow: visible; padding: 0; margin: 0;
  &>* {
    position: absolute; width: 100%; top: 0; z-index: 3; box-shadow: 0 0 2px black, 0 0 10px black;
    &.tooltip-dummy-container {
      background: @myhordes-help-color; outline: 1px solid @myhordes-button-color;
      &>h4 {
        margin: 4px; padding: 0 0 4px; border-bottom: 1px solid @myhordes-button-color; color: @myhordes-button-color;
        text-align: center;
      }
    }
  }
}

div.daily-attack {
  margin: 0 auto;
  width: 442px;
  div.content {
    .animation {
      margin: -10px;
      video {
        max-width: 100%;
      }
    }
    padding: 10px;
    background-color: #5c2b20;
    border: 1px solid #ddab76;
    outline: 2px solid #5c2b20;
    font-style: italic;
    color: #ddab76;
    p::first-letter {
      color: #f0d79e;
      font-weight: bold;
      font-size: 1.5rem;
    }
    strong {
      color :#cf7058;
      font-weight: normal;
    }
  }

  div.infos {
    margin-top: 20px;
    background-color: #3b3249;
    border: 1px solid #ddab76;
    outline: 2px solid #5c2b20;
    padding: 10px;
    color: white;
    font-size: 1.2rem;
    img {
      float: left;
      margin-right: 5px;
    }
    h2 {
      padding: 0px;
      margin: 0px 0px 5px;
      color: #ddab76;
      text-align: left;
      font-family: Verdana;
      text-transform: uppercase;
      border-bottom: 2px solid #ddab76;
      font-size: 1.2rem;
    }
    em {
      color: #f0d79e;
      font-size: 1rem;
    }
  }
}

.avatar, .avatarcrow {
  &:not(.avatarcrow) { border: 1px solid @myhordes-cell-header-background-color; }
  .avatarcrow { border: 1px solid #cc3300; }
  display: inline-block; box-shadow: 0 0 5px rgba(0,0,0,0.7); position: relative;
  &:not(.small):not(.full)>img { max-width: 100px; max-height: 100px; }
  &.small>img { width: 90px; height: 30px; object-fit: cover }
  &.full>div.crop {
    &>div { cursor: grab; position: absolute; top: 0; left: 0; right: 0; bottom: 0;  }
    width: 100%; height: 33.33333333333%; position: absolute; top: 0; left: 0;
    outline: 1px solid white; background: rgba(255,255,255,0.1); cursor: nwse-resize;
  }
  &.raw { outline: none; box-shadow: none; padding: 0; margin: 0; border: 1px solid transparent; }
}

.ghoul-hunger-container {
  width: 100px; display: inline-block; height: 0; overflow: visible; margin: 0 3px; position: relative;
  &>.ghoul-hunger-background {
    position: absolute; left: 0; right: 0; height: 4px; top: -4px; background: black;
  }
  &>.ghoul-hunger-bar {
    position: absolute; left: 0; height: 4px; top: -4px; background: #696486;
    &.warning { background: #bb6765; }
    box-shadow: 0 0 3px black;
  }
  &>.ghoul-hunger-indicator {
    position: absolute; background: red; height: 4px; width: 3px; top: -4px;
  }

}
.ghoul-message { text-transform: uppercase; font-size: 0.7rem; display: block; color: #ff5f5f; }

select {
  font-size: 1.2rem;
  background-color: #965C36;
  color: #f0d79e;
  border: 1px solid #ddab76;
  outline: 1px solid black;
  cursor: pointer;
  width: 100%;
}